d925cb7ecad7bb97564cfc0c769ab9ff55fc287b
[videolink.git] / debian / changelog
1 videolink (1.2.11-1) UNRELEASED; urgency=low
2
3   * New upstream version
4     - Add support for XULRunner 2.0 (beta)
5     - Add support for dvdauthor 0.7
6
7  -- Ben Hutchings <ben@decadent.org.uk>  Thu, 03 Mar 2011 02:27:50 +0000
8
9 videolink (1.2.10-1) unstable; urgency=low
10
11   * New upstream version
12     - List all needed libraries to the linker - closes: #556760
13
14  -- Ben Hutchings <ben@decadent.org.uk>  Wed, 02 Mar 2011 03:02:24 +0000
15
16 videolink (1.2.9-2.1) unstable; urgency=high
17
18   * Non-maintainer, high urgency upload to fix FTBFS.
19   * Define XPCOM_GLUE_USE_NSPR, link against nspr (closes: #611389).  Patch by
20     Nobuhiro Iwamatsu.
21   * Include <cstdio> in xpcom_support.cpp (closes: #611427).  Patch by
22     Nobuhiro Iwamatsu.
23
24  -- Julien Cristau <jcristau@debian.org>  Wed, 02 Feb 2011 15:23:49 +0100
25
26 videolink (1.2.9-2) unstable; urgency=low
27
28   * Use dh_xulrunner to determine xulrunner dependency
29
30  -- Ben Hutchings <ben@decadent.org.uk>  Thu, 15 Oct 2009 02:56:03 +0100
31
32 videolink (1.2.9-1) unstable; urgency=low
33
34   * New upstream version
35     - Add support for XULRunner 1.9.1 - closes: #548681
36   * Change Makefile to avoid stripping installed binaries by default,
37     so this can be controlled by DEB_BUILD_OPTIONS - closes: #438252
38
39  -- Ben Hutchings <ben@decadent.org.uk>  Sat, 10 Oct 2009 14:19:55 +0100
40
41 videolink (1.2.8-1) unstable; urgency=low
42
43   * New upstream version
44     - Tightens the XULRunner version requirement - closes: #536628
45
46  -- Ben Hutchings <ben@decadent.org.uk>  Sun, 16 Aug 2009 18:41:20 +0100
47
48 videolink (1.2.7-1) unstable; urgency=low
49
50   * New upstream version
51     - Fixes compatibility with current ffmpeg - closes: #522572
52   * Update archive section to 'video'
53
54  -- Ben Hutchings <ben@decadent.org.uk>  Sun, 05 Apr 2009 22:33:11 +0100
55
56 videolink (1.2.6-1) unstable; urgency=low
57
58   * New upstream version
59     - Remove unnecessary build-dependency on libboost-dev
60   * Change recommendation of mkisofs to genisoimage
61   * Update standards version to 3.8.0
62     - Add a note to debian/copyright that this package is not part
63       of the Debian system due to external dependencies
64
65  -- Ben Hutchings <ben@decadent.org.uk>  Wed, 25 Feb 2009 02:56:04 +0000
66
67 videolink (1.2.5-1) unstable; urgency=low
68
69   * New upstream version
70     - Adds workaround for bug #485876
71
72  -- Ben Hutchings <ben@decadent.org.uk>  Thu, 12 Jun 2008 00:22:20 +0100
73
74 videolink (1.2.4-1) unstable; urgency=low
75
76   * New upstream version
77
78  -- Ben Hutchings <ben@decadent.org.uk>  Mon, 09 Jun 2008 20:49:12 +0100
79
80 videolink (1.2.3-1) experimental; urgency=low
81
82   * New upstream version
83   * Switched to XULRunner 1.9
84   * Made Homepage a real control field
85   * VideoLink no longer works with the official Debian package of ffmpeg
86     because it does not include the mpeg2video encoder due to patent
87     threats.  Therefore it is now in the contrib section.
88
89  -- Ben Hutchings <ben@decadent.org.uk>  Sat, 12 Apr 2008 18:44:31 +0100
90
91 videolink (1.2.2-1) unstable; urgency=low
92
93   * New upstream version
94     - Fixed build failure with g++ 4.3 - closes: #474839
95   * Updated debian/copyright to refer to GPLv2 specifically
96
97  -- Ben Hutchings <ben@decadent.org.uk>  Mon, 07 Apr 2008 23:25:13 +0100
98
99 videolink (1.2.1-1) unstable; urgency=low
100
101   * New upstream version - closes: #432403
102
103  -- Ben Hutchings <ben@decadent.org.uk>  Tue, 10 Jul 2007 19:59:54 +0100
104
105 videolink (1.2-1) unstable; urgency=low
106
107   * New upstream version - closes: #393201, #428180, #432054
108
109  -- Ben Hutchings <ben@decadent.org.uk>  Sat,  7 Jul 2007 19:27:17 +0100
110
111 videolink (1.1-1) unstable; urgency=low
112
113   * New upstream version
114
115  -- Ben Hutchings <ben@decadent.org.uk>  Thu, 30 Nov 2006 02:52:37 +0000
116
117 videolink (1.0-1) unstable; urgency=low
118
119   * New upstream version
120   * Updated Standards-Version to 3.7.2 (no other changes required)
121
122  -- Ben Hutchings <ben@decadent.org.uk>  Sun, 15 Oct 2006 02:05:46 +0100
123
124 videolink (0.11-1) unstable; urgency=low
125
126   * New upstream version
127
128  -- Ben Hutchings <ben@decadent.org.uk>  Tue, 26 Sep 2006 02:21:15 +0100
129
130 videolink (0.10-1) unstable; urgency=low
131
132   * New upstream version - closes: #386832
133
134  -- Ben Hutchings <ben@decadent.org.uk>  Sun, 10 Sep 2006 17:44:40 +0100
135
136 videolink (0.9-2) unstable; urgency=low
137
138   * Removed strict version dependency on libxul0d on advice of its
139     maintainer - closes: #385566
140
141  -- Ben Hutchings <ben@decadent.org.uk>  Wed,  6 Sep 2006 03:27:54 +0100
142
143 videolink (0.9-1) unstable; urgency=low
144
145   * New upstream version
146   * Changed to build with XULRunner by preference
147
148  -- Ben Hutchings <ben@decadent.org.uk>  Wed, 16 Aug 2006 01:47:34 +0100
149
150 videolink (0.8-1) unstable; urgency=low
151
152   * Initial upload - closes: #382117
153   * Separated Debian-independent changelog
154   * Changed xfonts-base from dependency to recommendation
155   * Changed netpbm dependency to ffmpeg | netpbm since it is only needed
156     in conjunction with mjpegtools
157   * Changed Mozilla dependency to accept binary-only updates
158
159  -- Ben Hutchings <ben@decadent.org.uk>  Thu, 10 Aug 2006 22:16:56 +0100
160